%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define	python_module_name	musicapplet

Name:		gnome-applet-music
Version:	2.1.0
Release:	1%{?dist}
Summary:	A GNOME panel applet to control various music players

Group:		Applications/Multimedia
License:	GPL
URL:		http://www.kuliniewicz.org/music-applet/
Source0:	http://www.kuliniewicz.org/music-applet/downloads/music-applet-%{version}.tar.gz        
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel
BuildRequires:	pygtk2-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	gnome-python2-devel
BuildRequires:	GConf2
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext

Requires:	dbus-python >= 0.80
Requires:	gnome-python2-applet
Requires:	gnome-python2-gconf
Requires:	pygtk2

Requires(pre):	GConf2

Requires(post):	GConf2

Requires(preun):	GConf2

Provides:	music-applet
Provides:	gnome-applet-rhythmbox
Provides:	rhythmbox-applet

Obsoletes:      gnome-applet-rhythmbox

%description
Music Applet is a small, simple GNOME panel applet that lets you control a
variety of different music players from the panel. Music Applet provides easy
access to information about the current song and the most important playback
controls.

Music Applet currently supports the following music players:

 * Banshee
 * Rhythmbox
 * Muine
 * XMMS2

Music Applet is the successor to Rhythmbox Applet.

%prep
%setup -q -n "music-applet-%{version}"


%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
%find_lang music-applet


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/music-applet.schemas >/dev/null ||:
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/music-applet.schemas >/dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/[NAME].schemas > /dev/null ||:
fi


%files -f music-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README README.plugins THANKS   
%config(noreplace) %{_sysconfdir}/gconf/schemas/music-applet.schemas
%{_libdir}/bonobo/servers/GNOME_Music_Applet.server
%{_libdir}/gnome-2.0/ui/GNOME_Music_Applet.xml
%dir %{python_sitelib}/%{python_module_name}/
%dir %{python_sitelib}/%{python_module_name}/plugins
%exclude %{python_sitelib}/%{python_module_name}/*.la
%{python_sitelib}/%{python_module_name}/*.py*
%{python_sitelib}/%{python_module_name}/plugins/*.py*
%{python_sitelib}/%{python_module_name}/*.so
%{_libexecdir}/music-applet
%{_datadir}/music-applet/


%changelog
* Sun Feb 11 2007 Peter Gordon <peter@thecodergeek.com> - 2.1.0-1
- Update to new upstream release (2.1.0); which includes a fix for 64-bit
  plugin loading. See the included documentation (ChangeLog) for more
  information.

* Thu Jan 25 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.0-2
- Change Requires(postun) to Requires(preun). There is no %%postun scriplet...
- Update dbus-python dependency (0.80+)
- Fix the most recent two dates in %%changelog.

* Fri Jan 19 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.0-1
- Update to new upstream release (2.0.0) 
- Update URL to new domain of upstream.
- Lots of aesthetic updates to this spec file; and use macros rather than
  RPM_* variables. 

* Sun Sep 03 2006 Peter Gordon <peter@thecodergeek.com> - 0.9.2-2
- Add gettext and perl(XML::Parser) to BuildRequires (fixes bug #197924: fails
  to build in mock with reduced build root)
- Rebuild for FC6 enhancements

* Thu Jun 22 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.2-1
- Upstream update

* Sun Mar 26 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.0
- Renamed to gnome-applet-music from gnome-applet-rhythmbox
